regina::NBlockedSFS Class Reference
Standard Triangulations and Subcomplexes

Represents a blocked Seifert fibred space (possibly with boundary). More...

`#include <subcomplex/nblockedsfs.h>`

Inheritance diagram for regina::NBlockedSFS:

## Public Member Functions

| ~NBlockedSFS ()
| Destroys this structure and its constituent components. More...
const NSatRegion & | region () const
| Returns details of the single saturated region that fills this triangulation. More...
bool | isPluggedIBundle (std::string &name) const
| Determines whether this triangulation is a plugged thin I-bundle or a plugged thick I-bundle. More...
NManifold * | getManifold () const
| Returns the 3-manifold represented by this triangulation, if such a recognition routine has been implemented. More...
std::ostream & | writeName (std::ostream &out) const
| Writes the name of this triangulation as a human-readable string to the given output stream. More...
std::ostream & | writeTeXName (std::ostream &out) const
| Writes the name of this triangulation in TeX format to the given output stream. More...
void | writeTextLong (std::ostream &out) const
| Writes this object in long text format to the given output stream. More...
Public Member Functions inherited from regina::NStandardTriangulation
virtual | ~NStandardTriangulation ()
| A destructor that does nothing. More...
std::string | getName () const
| Returns the name of this specific triangulation as a human-readable string. More...
std::string | getTeXName () const
| Returns the name of this specific triangulation in TeX format. More...
virtual NAbelianGroup * | getHomologyH1 () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
virtual void | writeTextShort (std::ostream &out) const
| Writes this object in short text format to the given output stream. More...
Public Member Functions inherited from regina::ShareableObject
| ShareableObject ()
| Default constructor that does nothing. More...
virtual | ~ShareableObject ()
| Default destructor that does nothing. More...
std::string | str () const
| Returns the output from writeTextShort() as a string. More...
std::string | toString () const
| A deprecated alias for str(), which returns the output from writeTextShort() as a string. More...
std::string | detail () const
| Returns the output from writeTextLong() as a string. More...
std::string | toStringLong () const
| A deprecated alias for detail(), which returns the output from writeTextLong() as a string. More...

## Static Public Member Functions

static NBlockedSFS * | isBlockedSFS (NTriangulation *tri)
| Determines if the given triangulation is a blocked Seifert fibred space. More...
Static Public Member Functions inherited from regina::NStandardTriangulation
static NStandardTriangulation * | isStandardTriangulation (NComponent *component)
| Determines whether the given component represents one of the standard triangulations understood by Regina. More...
static NStandardTriangulation * | isStandardTriangulation (NTriangulation *tri)
| Determines whether the given triangulation represents one of the standard triangulations understood by Regina. More...

## Additional Inherited Members

Protected Member Functions inherited from regina::boost::noncopyable
| noncopyable ()
| A constructor which does nothing. More...
| ~noncopyable ()
| A destructor which does nothing. More...

## Detailed Description

Represents a blocked Seifert fibred space (possibly with boundary).

This is a particular type of triangulation of a Seifert fibred space, where this triangulation is formed from a single saturated region. A saturated region is in turn formed from saturated blocks by identifying their boundary annuli in pairs; see the NSatRegion class for details.

Note that the routines writeName() and writeTeXName() do not offer enough information to uniquely identify the triangulation, since this essentially requires a 2-dimensional assembling of saturated blocks. For full detail, writeTextLong() may be used instead.

The optional NStandardTriangulation routine getManifold() is implemented for this class, but getHomologyH1() is not.

Test:
  Included in the test suite.

## Constructor & Destructor Documentation

regina::NBlockedSFS::~NBlockedSFS | ( |  | ) |

Destroys this structure and its constituent components.

## Member Function Documentation

NManifold* regina::NBlockedSFS::getManifold | ( |  | ) | const

virtual

Returns the 3-manifold represented by this triangulation, if such a recognition routine has been implemented.

If the 3-manifold cannot be recognised then this routine will return 0.

The details of which standard triangulations have 3-manifold recognition routines can be found in the notes for the corresponding subclasses of NStandardTriangulation. The default implementation of this routine returns 0.

It is expected that the number of triangulations whose underlying 3-manifolds can be recognised will grow between releases.

The 3-manifold will be newly allocated and must be destroyed by the caller of this routine.

Returns
  the underlying 3-manifold.

Reimplemented from regina::NStandardTriangulation.

static NBlockedSFS* regina::NBlockedSFS::isBlockedSFS | ( | NTriangulation * | tri | ) |

static

Determines if the given triangulation is a blocked Seifert fibred space.

Parameters

  tri | the triangulation to examine.

Returns
  a newly created structure containing details of the blocked Seifert fibred space, or `null` if the given triangulation is not a blocked Seifert fibred space.

bool regina::NBlockedSFS::isPluggedIBundle | ( | std::string & | name | ) | const

Determines whether this triangulation is a plugged thin I-bundle or a plugged thick I-bundle.

These structures are described in "Structures of small closed non-orientable 3-manifold triangulations", Benjamin A. Burton, J. Knot Theory Ramifications 16 (2007), 545–574.

Python:
  The argument name is not present. Instead, this routine returns a tuple of size two: the boolean usually returned from this function, and the string usually returned in the argument name.

Parameters

  name | used to return the name of the plugged thin/thick I-bundle, if the triangulation is of this form. If the triangulation is not of this form, this string is not touched.

Returns
  `true` if this triangulation is indeed a plugged thin I-bundle or a plugged thick I-bundle.

const NSatRegion & regina::NBlockedSFS::region | ( |  | ) | const

inline

Returns details of the single saturated region that fills this triangulation.

Returns
  the single saturated region.

std::ostream& regina::NBlockedSFS::writeName | ( | std::ostream & | out | ) | const

virtual

Writes the name of this triangulation as a human-readable string to the given output stream.

Python:
  The parameter out does not exist; standard output will be used.

Parameters

  out | the output stream to which to write.

Returns
  a reference to the given output stream.

Implements regina::NStandardTriangulation.

std::ostream& regina::NBlockedSFS::writeTeXName | ( | std::ostream & | out | ) | const

virtual

Writes the name of this triangulation in TeX format to the given output stream.

No leading or trailing dollar signs will be included.

Warning
  The behaviour of this routine has changed as of Regina 4.3; in earlier versions, leading and trailing dollar signs were provided.

Python:
  The parameter out does not exist; standard output will be used.

Parameters

  out | the output stream to which to write.

Returns
  a reference to the given output stream.

Implements regina::NStandardTriangulation.

void regina::NBlockedSFS::writeTextLong | ( | std::ostream & | out | ) | const

virtual

Writes this object in long text format to the given output stream.

The output should provide the user with all the information they could want. The output should be human-readable, should not contain extremely long lines (so users can read the output in a terminal), and should end with a final newline.

The default implementation of this routine merely calls writeTextShort() and adds a newline.

Python:
  The parameter out does not exist; standard output will be used.

Parameters

  out | the output stream to which to write.

Reimplemented from regina::ShareableObject.

The documentation for this class was generated from the following file:

- subcomplex/nblockedsfs.h

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).